Oracle Linux Security Advisory ELSA-2022-4798

https://linux.oracle.com/errata/ELSA-2022-4798.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
aopalliance-1.0-17.module+el8+5161+5cac467c.noarch.rpm
apache-commons-cli-1.4-4.module+el8+5161+5cac467c.noarch.rpm
apache-commons-codec-1.11-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-io-2.6-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-lang3-3.7-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-logging-1.2-13.module+el8+5161+5cac467c.noarch.rpm
atinject-1-28.20100611svn86.module+el8+5161+5cac467c.noarch.rpm
cdi-api-1.2-8.module+el8+5161+5cac467c.noarch.rpm
geronimo-annotation-1.0-23.module+el8+5161+5cac467c.noarch.rpm
glassfish-el-api-3.0.1-0.7.b08.module+el8+5161+5cac467c.noarch.rpm
google-guice-4.1-11.module+el8+5161+5cac467c.noarch.rpm
guava20-20.0-8.module+el8+5161+5cac467c.noarch.rpm
hawtjni-runtime-1.16-2.module+el8+5161+5cac467c.noarch.rpm
httpcomponents-client-4.5.5-5.module+el8.6.0+20537+63b96daa.noarch.rpm
httpcomponents-core-4.4.10-3.module+el8+5161+5cac467c.noarch.rpm
jansi-1.17.1-1.module+el8+5161+5cac467c.noarch.rpm
jansi-native-1.7-7.module+el8+5161+5cac467c.x86_64.rpm
jboss-interceptors-1.2-api-1.0.0-8.module+el8+5161+5cac467c.noarch.rpm
jcl-over-slf4j-1.7.25-4.module+el8+5161+5cac467c.noarch.rpm
jsoup-1.11.3-3.module+el8+5161+5cac467c.noarch.rpm
maven-3.5.4-5.module+el8+5161+5cac467c.noarch.rpm
maven-lib-3.5.4-5.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-api-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-connector-basic-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-impl-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-spi-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-transport-wagon-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-util-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-shared-utils-3.2.1-0.2.module+el8.6.0+20674+d36d0344.noarch.rpm
maven-wagon-file-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-http-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-http-shared-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-provider-api-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
plexus-cipher-1.7-14.module+el8+5161+5cac467c.noarch.rpm
plexus-classworlds-2.5.2-9.module+el8+5161+5cac467c.noarch.rpm
plexus-containers-component-annotations-1.7.1-8.module+el8+5161+5cac467c.noarch.rpm
plexus-interpolation-1.22-9.module+el8+5161+5cac467c.noarch.rpm
plexus-sec-dispatcher-1.4-26.module+el8+5161+5cac467c.noarch.rpm
plexus-utils-3.1.0-3.module+el8+5161+5cac467c.noarch.rpm
sisu-inject-0.3.3-6.module+el8+5161+5cac467c.noarch.rpm
sisu-plexus-0.3.3-6.module+el8+5161+5cac467c.noarch.rpm
slf4j-1.7.25-4.module+el8+5161+5cac467c.noarch.rpm

aarch64:
aopalliance-1.0-17.module+el8+5161+5cac467c.noarch.rpm
apache-commons-cli-1.4-4.module+el8+5161+5cac467c.noarch.rpm
apache-commons-codec-1.11-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-io-2.6-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-lang3-3.7-3.module+el8+5161+5cac467c.noarch.rpm
apache-commons-logging-1.2-13.module+el8+5161+5cac467c.noarch.rpm
atinject-1-28.20100611svn86.module+el8+5161+5cac467c.noarch.rpm
cdi-api-1.2-8.module+el8+5161+5cac467c.noarch.rpm
geronimo-annotation-1.0-23.module+el8+5161+5cac467c.noarch.rpm
glassfish-el-api-3.0.1-0.7.b08.module+el8+5161+5cac467c.noarch.rpm
google-guice-4.1-11.module+el8+5161+5cac467c.noarch.rpm
guava20-20.0-8.module+el8+5161+5cac467c.noarch.rpm
hawtjni-runtime-1.16-2.module+el8+5161+5cac467c.noarch.rpm
httpcomponents-client-4.5.5-5.module+el8.6.0+20537+63b96daa.noarch.rpm
httpcomponents-core-4.4.10-3.module+el8+5161+5cac467c.noarch.rpm
jansi-1.17.1-1.module+el8+5161+5cac467c.noarch.rpm
jansi-native-1.7-7.module+el8+5161+5cac467c.aarch64.rpm
jboss-interceptors-1.2-api-1.0.0-8.module+el8+5161+5cac467c.noarch.rpm
jcl-over-slf4j-1.7.25-4.module+el8+5161+5cac467c.noarch.rpm
jsoup-1.11.3-3.module+el8+5161+5cac467c.noarch.rpm
maven-3.5.4-5.module+el8+5161+5cac467c.noarch.rpm
maven-lib-3.5.4-5.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-api-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-connector-basic-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-impl-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-spi-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-transport-wagon-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-resolver-util-1.1.1-2.module+el8+5161+5cac467c.noarch.rpm
maven-shared-utils-3.2.1-0.2.module+el8.6.0+20674+d36d0344.noarch.rpm
maven-wagon-file-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-http-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-http-shared-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
maven-wagon-provider-api-3.1.0-1.module+el8+5161+5cac467c.noarch.rpm
plexus-cipher-1.7-14.module+el8+5161+5cac467c.noarch.rpm
plexus-classworlds-2.5.2-9.module+el8+5161+5cac467c.noarch.rpm
plexus-containers-component-annotations-1.7.1-8.module+el8+5161+5cac467c.noarch.rpm
plexus-interpolation-1.22-9.module+el8+5161+5cac467c.noarch.rpm
plexus-sec-dispatcher-1.4-26.module+el8+5161+5cac467c.noarch.rpm
plexus-utils-3.1.0-3.module+el8+5161+5cac467c.noarch.rpm
sisu-inject-0.3.3-6.module+el8+5161+5cac467c.noarch.rpm
sisu-plexus-0.3.3-6.module+el8+5161+5cac467c.noarch.rpm
slf4j-1.7.25-4.module+el8+5161+5cac467c.noarch.rpm


SRPMS:
https://oss.oracle.com/ol8/SRPMS-updates/aopalliance-1.0-17.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/apache-commons-cli-1.4-4.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/apache-commons-codec-1.11-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/apache-commons-io-2.6-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/apache-commons-lang3-3.7-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/apache-commons-logging-1.2-13.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/atinject-1-28.20100611svn86.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/cdi-api-1.2-8.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/geronimo-annotation-1.0-23.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/glassfish-el-3.0.1-0.7.b08.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/google-guice-4.1-11.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/guava20-20.0-8.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/hawtjni-1.16-2.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/httpcomponents-client-4.5.5-5.module+el8.6.0+20537+63b96daa.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/httpcomponents-core-4.4.10-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/jansi-1.17.1-1.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/jansi-native-1.7-7.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/jboss-interceptors-1.2-api-1.0.0-8.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/jsoup-1.11.3-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/maven-3.5.4-5.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/maven-resolver-1.1.1-2.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/maven-shared-utils-3.2.1-0.2.module+el8.6.0+20674+d36d0344.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/maven-wagon-3.1.0-1.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-cipher-1.7-14.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-classworlds-2.5.2-9.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-containers-1.7.1-8.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-interpolation-1.22-9.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-sec-dispatcher-1.4-26.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/plexus-utils-3.1.0-3.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/sisu-0.3.3-6.module+el8+5161+5cac467c.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/slf4j-1.7.25-4.module+el8+5161+5cac467c.src.rpm

Related CVEs:

CVE-2022-29599




Description of changes:

maven-shared-utils
[3.2.1-0.2]
- Fix commandline injection vulnerability
- Resolves: CVE-2022-29599

_______________________________________________
El-errata mailing list
[email protected]
https://oss.oracle.com/mailman/listinfo/el-errata